Disbursement Example Payloads
This page provides practical payloads for each major disbursement step:- Validate recipient
- Request disbursement
- Verify disbursement
1) Validate Recipient
Use the matching account object for the provider channel you are validating.Mobile Money
Endpoint:POST /billing/v1/transfer-recipients/validate
Bank Transfer
Fetch the bank list before validating a bank transfer recipient so you can send a validbankCode.
Endpoint: GET /billing/v1/transfer-recipients/{provider}/properties
bankCode when validating the recipient.
Endpoint: POST /billing/v1/transfer-recipients/validate
Bank Transfer (Angola)
Endpoint:POST /billing/v1/transfer-recipients/validate
2) Request Disbursement
Endpoint:POST /billing/v1/disbursements
3) Verify Disbursement
Endpoint:GET /billing/v1/disbursements/verify/{reference}
Sample response:
Validation Checklist
Amount format
Amount format
Send integer minor-unit values only. Decimals are not supported.
Unique reference
Unique reference
Use a unique disbursement reference to avoid duplicate transaction errors.
Recipient validation first
Recipient validation first
Always validate recipient before requesting disbursement.
Authorization mode alignment
Authorization mode alignment
Related Docs
Disbursements Overview
Full disbursement flow walkthrough.
Authorization Mode
Configure and secure disbursement authorization.
Disbursement Webhooks
Process status callbacks safely.